Undelete project
curl --request PATCH \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/undelete \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/undelete"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/undelete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Undelete project
Restores a project that was previously soft-deleted (moved to the recycle bin) via
DELETE /api2/v1/projects/{projectUid} with purge=false, before it is permanently purged.
Idempotent: calling this on a project that is not currently in the recycle bin is a no-op and still
returns 204 No Content.
PATCH
/
api2
/
v1
/
projects
/
{projectUid}
/
undelete
Undelete project
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project to undelete
Response
No Content
Was this page helpful?
⌘I